Skip to main content
`Ctrl`+`K`

# PetscBinarySeekType

argument to `PetscBinarySeek()`

## Synopsis

    typedef enum {
      PETSC_BINARY_SEEK_SET = 0,
      PETSC_BINARY_SEEK_CUR = 1,
      PETSC_BINARY_SEEK_END = 2
    } PetscBinarySeekType;

## Values

- `PETSC_BINARY_SEEK_SET` - offset is an absolute location in the file

- `PETSC_BINARY_SEEK_CUR` - offset is an offset from the current location of the file pointer

- `PETSC_BINARY_SEEK_END` - offset is an offset from the end of the file

## See Also

`PetscBinarySeek()`, `PetscBinarySynchronizedSeek()`

## Level

advanced

## Location

include/petscsystypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages